Package ru.bitel.bgbilling.modules.reports.server.bean

# Class ReportAccessRuleDao

java.lang.Object
ru.bitel.bgbilling.kernel.base.server.logger.BGLogger
ru.bitel.bgbilling.common.dao.AbstarctDaoConstant
ru.bitel.bgbilling.modules.reports.server.bean.ReportAccessRuleDao

public class ReportAccessRuleDao extends ru.bitel.bgbilling.common.dao.AbstarctDaoConstant

- ## Field Summary

  ### Fields inherited from class ru.bitel.bgbilling.common.dao.AbstarctDaoConstant

  `con, ERROR, fields, moduleId, SQL_ALL, SQL_AND, SQL_CALC_FOUND_ROWS, SQL_DELETE, SQL_DISTINCT, SQL_EQ, SQL_EQCS, SQL_FROM, SQL_GROUP, SQL_IN, SQL_INSERT, SQL_JOIN, SQL_LEFT_JOIN, SQL_LIMIT, SQL_NOT_IN, SQL_ON, SQL_ON_DUPLICATE_KEY_UPDATE, SQL_ORDER, SQL_SELECT, SQL_SET, SQL_UPDATE, SQL_VALUES, SQL_WHERE, tableName`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ReportAccessRuleDao(Connection con, int moduleId)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `deleteRulesByReportId(String reportId)`
  `ReportAccessRule`
  `getAccessRulesByReportId(String reportId)`
  `void`
  `updateAccessRule(ReportAccessRule reportAccessRule)`

  ### Methods inherited from class ru.bitel.bgbilling.common.dao.AbstarctDaoConstant

  `getPeriod, getSQLOrder, getTableName, psSetDate, psSetInt, psSetString`

  ### Methods inherited from class ru.bitel.bgbilling.kernel.base.server.logger.BGLogger

  `error, error, error, getLogger, logError, logError, warn`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ReportAccessRuleDao

    public ReportAccessRuleDao(Connection con, int moduleId)

- ## Method Details

  - ### getAccessRulesByReportId

    public ReportAccessRule getAccessRulesByReportId(String reportId) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### updateAccessRule

    public void updateAccessRule(ReportAccessRule reportAccessRule) throws SQLException
    Throws:
      `SQLException`

  - ### deleteRulesByReportId

    public void deleteRulesByReportId(String reportId) throws SQLException
    Throws:
      `SQLException`